Integration Info for Single Integration
curl --request GET \
--url https://production.trackstarhq.com/integrations/{integration_type}/{integration_name} \
--header 'x-trackstar-api-key: <x-trackstar-api-key>'import requests
url = "https://production.trackstarhq.com/integrations/{integration_type}/{integration_name}"
headers = {"x-trackstar-api-key": "<x-trackstar-api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {'x-trackstar-api-key': '<x-trackstar-api-key>'}};
fetch('https://production.trackstarhq.com/integrations/{integration_type}/{integration_name}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"data": [
{
"integration_name": "shipbob",
"display_name": "ShipBob",
"install_method": "input",
"description": "description",
"logo_url": "https://example.com/logo.png",
"installation_guide_url": "https://trackstar.notion.site",
"docs": "<unknown>",
"write_operations": [
{
"action": "create_order",
"url": "POST /wms/orders",
"required_base_schema_fields": [
"line_items.product_id",
"line_items.quantity"
],
"optional_base_schema_fields": [
"order_number",
"line_items",
"trading_partner"
],
"integration_specific_fields": {
"properties": {
"warehouse_id": {
"title": "warehouse_id",
"type": "string",
"description": "The warehouse this order was shipped from.",
"example": "",
"enum": [
"N/A - Connect an account to see options"
]
}
},
"type": "object",
"required_fields": [
"warehouse_id"
]
}
}
],
"list_operations": [
{
"action": "get_inventory",
"url": "GET /wms/inventory",
"implemented_fields": {
"onhand": true,
"lots": [
{
"lot_id": true,
"expiration_date": true,
"onhand": true,
"warehouse_id": true
}
],
"substitute_skus": false,
"inventory_by_warehouse_id": {
"key": {
"committed": true,
"fulfillable": true,
"onhand": true,
"awaiting": true,
"unfulfillable": true,
"sellable": true
}
},
"sellable": true,
"created_date": true,
"fulfillable": true,
"trackstar_created_date": true,
"awaiting": true,
"name": true,
"locations": [
{
"location_id": true,
"quantity": true,
"warehouse_id": true
}
],
"active": true,
"committed": true,
"measurements": false,
"unfulfillable": true,
"warehouse_customer_id": true,
"trackstar_updated_date": true,
"id": true,
"connection_id": true,
"external_system_url": false,
"sku": true,
"updated_date": true
}
}
],
"available_actions": [
"create_order",
"get_inventory"
]
}
]
}{
"error": "<string>",
"id": "<string>"
}{
"error": "<string>",
"detail": {
"<location>": {
"<field_name>": [
"<string>"
]
}
}
}Admin API Reference
Integration Info for Single Integration
Information about the data provided by a single integration.
GET
/
integrations
/
{integration_type}
/
{integration_name}
Integration Info for Single Integration
Headers
Your organization-level Trackstar API key.
Example:
"<x-trackstar-api-key>"
Optional. Pass this in to get connection-specific field information. Your user's access token for a specific integration (ShipHero, Extensiv, etc).
Example:
"<x-trackstar-access-token>"
Path Parameters
The type of integration to filter by.
Available options:
wms, freight, cart, carrier, erp The name of the integration to filter by.
Response
Successful response
Integration Info
Show child attributes
Show child attributes
⌘I